%define name    usb_modeswitch
%define fname	usb-modeswitch
%define version 1.1.1
%define	fver	%{version}
%define rel	1

Name:           %{name}
Summary:        Activating Switchable USB Devices on Linux
Version:        %{version}
Release:        %mkrel %{rel}
License:        GPLv2
Source:         http://www.draisberghof.de/usb_modeswitch/%{fname}-%{fver}.tar.bz2
URL:            http://www.draisberghof.de/usb_modeswitch/
Group:          System/Configuration/Hardware
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	kernel-source
BuildRequires:	libusb-devel
Requires:	sysfsutils
Requires:	tcl

%description
USB_ModeSwitch is a mode switching tool for controlling "flip flop"
(multiple device) USB gear.

Several new USB devices (especially high-speed wireless WAN stuff,
they're expensive anyway) have their Windows drivers onboard; when
plugged in for the first time they act like a flash storage and start
installing the driver from there. After that (and on every consecutive
plugging) this driver switches the mode internally, the storage device
vanishes (in most cases), and a new device (like an USB modem) shows
up. The WWAN gear maker Option calls that feature "ZeroCD (TM)".


%prep
%setup -q -n %{fname}-%{fver}

%build
rm -f usb-modeswitch
gcc -O -Wall -o usb_modeswitch usb_modeswitch.c -l usb

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir} \
	%{buildroot}%{_sysconfdir} \
	%{buildroot}%{_sysconfdir}/udev/rules.d \
	%{buildroot}%{_sysconfdir}/usb_modeswitch.d \
	%{buildroot}%{_mandir}/man1 \
	%{buildroot}/lib/udev

install -m 755 usb_modeswitch %{buildroot}%{_sbindir}
install -m 644 usb_modeswitch.conf %{buildroot}%{_sysconfdir}/usb-modeswitch.conf
install -m 644 40-usb_modeswitch.rules %{buildroot}%{_sysconfdir}/udev/rules.d/91-usb_modeswitch.rules
install -m 644 ./usb_modeswitch.d/* %{buildroot}%{_sysconfdir}/usb_modeswitch.d/
install -m 755 ./usb_modeswitch.sh %{buildroot}//lib/udev/usb_modeswitch
install -m 644 ./usb_modeswitch.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/usb_modeswitch.d
/lib/udev/usb_modeswitch
%{_sbindir}/*
%{_mandir}/man1/*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/usb_modeswitch.d/*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/usb-modeswitch.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/udev/rules.d/91-usb_modeswitch.rules


%changelog
* Sat Mar 20 2010 Emmanuel Andry <eandry@mandriva.org> 1.1.1-1mdv2010.1
+ Revision: 525497
- New version 1.1.1

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - bump release

* Mon Jan 25 2010 Giuseppe Ghibò <ghibo@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 496289
- New release 1.1.0.
- New udev rules for devices in /etc/usb_modeswitch.d.
- Add tcl in Requires for the /lib/udev/usb_modeswitch wrapper.

* Mon Jan 18 2010 Frederik Himpe <fhimpe@mandriva.org> 1.0.7-1mdv2010.1
+ Revision: 493289
- update to new version 1.0.7

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.5-1mdv2010.0
+ Revision: 444922
- Update to new version 1.0.5

* Wed May 27 2009 Olivier Blin <oblin@mandriva.com> 0.9.7-1mdv2010.0
+ Revision: 380126
- 0.9.7 (with automatic default endpoint detection)
- remove patch defaulting to gtmax72 config, keep upstream config

* Sat Apr 12 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.9.4-0.beta2.1mdv2009.0
+ Revision: 192605
- Update to release 0.9.4beta2.
- import usb_modeswitch


* Sat Apr 12 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.9.3-1mdv2008.1
- Initial release.
